<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Css Card-hover</title>
    <style>
        *{
            margin: 0;
            padding: 0;
        }
        body{
            background-color: #333;
            height: 100vh;
            color: #fff;
            display: flex;
            justify-content: center;
            align-items: center;
        }
        .container{
            width: 70%;
            height: 100%;
            display: flex;
            justify-content: space-between;
            align-items: center;
        }
        .card{
            width: 30%;
            /* box-shadow: 0 10px 10px #00000030; */
        }
        .card:hover{
            cursor: pointer;
        }
        
        .card-front-face{
            position: relative;
            height: 30vh;
            padding: 20px;
            background-color: rgb(44, 44, 44);
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
            transform: translateY(50%);
            z-index: 111;
            transition: 0.5s;
        }
        .card:hover .card-front-face{
            cursor: pointer;
            background: #ff0057;
            transform: translateY(0px);
        }
        .card-image img{
            height: 10vh;
        }
        .card-detail-face{
            position: relative;
            padding: 20px;
            height: 30vh;
            background-color: #fff;
            color:rgb(44, 44, 44);
            box-shadow: 0 10px 10px rgb(0,0,0,0.6);
            transform: translateY(-50%);
            transition: 0.5s;
            /* z-index: 1; */
        }
        .card:hover .card-detail-face{
            transform: translateY(0px);
        }
        .card-btn{
            border: 2px solid #333;
            padding: 5px 10px;
            background-color: #fff;
            color: #333;
            text-decoration: none;
            text-transform: uppercase;
            display: inline-block;
            margin-top: 10px;
        }
        .card-btn:hover{
            background-color: #333;
            color: #fff;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="card">
            <div class="card-front-face">
                <div class="card-image">
                    <img src="icon1.svg" alt="">
                </div>
                <div class="card-title">
                    <h2>Some title Here</h2>
                </div>
            </div>
            <div class="card-detail-face">
                <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Iste et doloribus repellendus hic quibusdam veniam dolores distinctio assumenda animi quidem. Non voluptas explicabo harum necessitatibus optio mollitia consequatur ad nemo!</p>
                <a href="" class="card-btn">Read More</a>
            </div>
        </div>
        <div class="card">
            <div class="card-front-face">
                <div class="card-image">
                    <img src="icon1.svg" alt="">
                </div>
                <div class="card-title">
                    <h2>Some title Here</h2>
                </div>
            </div>
            <div class="card-detail-face">
                <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Iste et doloribus repellendus hic quibusdam veniam dolores distinctio assumenda animi quidem. Non voluptas explicabo harum necessitatibus optio mollitia consequatur ad nemo!</p>
                <a href="" class="card-btn">Read More</a>
            </div>
        </div>
        <div class="card">
            <div class="card-front-face">
                <div class="card-image">
                    <img src="icon1.svg" alt="">
                </div>
                <div class="card-title">
                    <h2>Some title Here</h2>
                </div>
            </div>
            <div class="card-detail-face">
                <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Iste et doloribus repellendus hic quibusdam veniam dolores distinctio assumenda animi quidem. Non voluptas explicabo harum necessitatibus optio mollitia consequatur ad nemo!</p>
                <a href="" class="card-btn">Read More</a>
            </div>
        </div>
    </div>
</body>
</html>